---
title: '-webkit-text-security'
slug: Web/CSS/-webkit-text-security
tags:
  - CSS
  - CSS Property
  - NeedsCompatTable
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{ CSSRef() }} {{ Non-standard_header() }}</div>

<p><code><strong>-webkit-text-security</strong></code> is a non-standard CSS property that obfuscates characters in a {{HtmlElement("form")}} field (such as {{HtmlElement("input")}} or {{HtmlElement("textarea")}}) by replacing them with a shape. It only affects fields that are <em>not</em> of <code>type=password</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css no-line-numbers notranslate">-webkit-text-security: circle;
-webkit-text-security: disc;
-webkit-text-security: square;
-webkit-text-security: none;
</pre>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Obscuring_a_text_input">Obscuring a text input</h3>

<p>Try typing in the field below. If your browser supports this property, the characters should be visually replaced with squares.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;label for="name"&gt;Name:&lt;/label&gt;
&lt;input type="text" name="name" id="name" /&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">input {
  -webkit-text-security: square;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Obscuring_a_text_input")}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.-webkit-text-security")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/WebKit_Extensions">WebKit CSS extensions</a></li>
</ul>
